Debian Bug report logs - #199543
ITA: abuse -- Crack dot Com's Abuse action game

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Arto Jantunen <viiru@debian.org>

Date: Tue, 1 Jul 2003 17:33:01 UTC

Severity: normal

Done: Martin Michlmayr <tbm@cyrius.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#199543; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Arto Jantunen <viiru@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Arto Jantunen <viiru@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: abuse -- Crack dot Com's Abuse action game
Date: Tue, 01 Jul 2003 20:21:47 +0300
Package: wnpp
Version: unavailable; reported 2003-07-01
Severity: normal

I will orphan the abuse package for reasons explained in my email to
d-p.

The package description is:
 Abuse is a side scrolling shoot-em-up action game from Crack dot Com.
 .
 This package contains the Abuse game engine, in X and full screen svga
 versions. It requires a mouse.
 .
 This package is obsolete and will be removed later (if you still need it,
 contact the maintainer). Please use abuse-sdl instead.

--
Arto Jantunen




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#199543; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Sam Hocevar <sam@zoy.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #10 received at 199543@bugs.debian.org (full text, mbox):

From: Sam Hocevar <sam@zoy.org>
To: 199543@bugs.debian.org, 199544@bugs.debian.org, 199545@bugs.debian.org, 199546@bugs.debian.org
Subject: Re: O: abuse -- Crack dot Com's Abuse action game
Date: Fri, 4 Jul 2003 10:31:37 +0200
   I am interested in maintaining abuse. I have good experience in games
and I think I'll manage to port it to non-8bpp displays. I will first
have a look at the bugs before renaming O: to ITA:, so if someone more
interested wants it in the meantime, ask me for my current patches.

-- 
Sam.



Changed Bug title. Request was from Sam Hocevar <sam@zoy.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#199543; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #17 received at 199543@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Sam Hocevar <sam@zoy.org>
Cc: 199543@bugs.debian.org, 199544@bugs.debian.org, 199545@bugs.debian.org, 199546@bugs.debian.org, Keith Dunwoody <kstephen@interchange.ubc.ca>
Subject: Re: O: abuse -- Crack dot Com's Abuse action game
Date: Sun, 5 Oct 2003 20:08:13 +1000
* Sam Hocevar <sam@zoy.org> [2003-07-04 10:31]:
>    I am interested in maintaining abuse. I have good experience in games
> and I think I'll manage to port it to non-8bpp displays. I will first
> have a look at the bugs before renaming O: to ITA:, so if someone more
> interested wants it in the meantime, ask me for my current patches.

Bug #202384 - ftp.debian.org: Please remove abuse
>Sender: Keith Dunwoody <keith@megatron>
>As indicated by the previous maintainer's comments the abuse package
>has been obseleted by abuse-sdl.  I intend to adopt the other
>abuse-related packages (abuse-sdl abuse-lib abuse-sfx abuse-frabs), but
>think that abuse should be removed instead.

So who is going to adopt it, and when?  Both of you expressed interest
in July.

-- 
Martin Michlmayr
tbm@cyrius.com



Changed Bug title. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#199543; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Sam Hocevar <sam@zoy.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #24 received at 199543@bugs.debian.org (full text, mbox):

From: Sam Hocevar <sam@zoy.org>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 199543@bugs.debian.org, 199544@bugs.debian.org, 199545@bugs.debian.org, 199546@bugs.debian.org, Keith Dunwoody <kstephen@interchange.ubc.ca>
Subject: Re: O: abuse -- Crack dot Com's Abuse action game
Date: Mon, 6 Oct 2003 12:41:27 +0200
On Sun, Oct 05, 2003, Martin Michlmayr wrote:
> >As indicated by the previous maintainer's comments the abuse package
> >has been obseleted by abuse-sdl.  I intend to adopt the other
> >abuse-related packages (abuse-sdl abuse-lib abuse-sfx abuse-frabs), but
> >think that abuse should be removed instead.

   I do not think so. libSDL is not available on hurd-i386. Keith, why
didn't you contact me before filing this bug? I Cc:ed all the O: bugs
to avoid that.

> So who is going to adopt it, and when?  Both of you expressed interest
> in July.

   I fixed all current bugs but I do not want to adopt a non-free
package. I have started collecting DFSG-free sound files to replace
the ones in abuse-sfx, but I am not doing very well because there are
few sources for such data. If Keith really wants the packages, I'll
leave them to him and contribute my sound files later. I just want
Abuse to become free and stay maintained.

Regards,
-- 
Sam.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#199543; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Keith Dunwoody (S. Wolthusen)" <kdunwood@igd.fhg.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #29 received at 199543@bugs.debian.org (full text, mbox):

From: "Keith Dunwoody (S. Wolthusen)" <kdunwood@igd.fhg.de>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: Sam Hocevar <sam@zoy.org>, 199543@bugs.debian.org, 199544@bugs.debian.org, 199545@bugs.debian.org, 199546@bugs.debian.org
Subject: Re: O: abuse -- Crack dot Com's Abuse action game
Date: Mon, 06 Oct 2003 13:17:15 +0200
Hi,

Sam can have it, as far as I'm concerned.  I have a patch which fixes 
abuse-sdl to compile under gcc 3.3 (it doesn't work with abuse-frabs 
when compiled under gcc 3.3).  The issues addressed in this bug may or 
may not be the cause of the other bugs on non-386 architectures, but I 
don't have access to the appropriate architectures to test them on..  I 
also have a (trivial) documentation patch which fixes one of the other 
bugs. You might also want to update abuse-lib to include the full 
version of the data files, since these have since been released into the 
public domain.  The sound effects are still non-public domain, and thus 
must remain in non-free.  The original author of abuse speculated that 
the author of the sound effects might be willing to release them under a 
free license, which I havn't followed up on.  Otherwise you might be 
able to pull in the sound effects from abuse-frabs, but you'd have to 
check that these arn't the original sounds with the author of frabs just 
being slopy about copyright issues.

-- Keith

P.S.  abuse-sdl already works on non-8bpp displays, which is why I 
figured we could safely remove abuse.  I appologize for not getting in 
touch with Sam, I didn't notice he'd expressed interest.

Martin Michlmayr wrote:

>* Sam Hocevar <sam@zoy.org> [2003-07-04 10:31]:
>  
>
>>   I am interested in maintaining abuse. I have good experience in games
>>and I think I'll manage to port it to non-8bpp displays. I will first
>>have a look at the bugs before renaming O: to ITA:, so if someone more
>>interested wants it in the meantime, ask me for my current patches.
>>    
>>
>
>Bug #202384 - ftp.debian.org: Please remove abuse
>  
>
>>Sender: Keith Dunwoody <keith@megatron>
>>As indicated by the previous maintainer's comments the abuse package
>>has been obseleted by abuse-sdl.  I intend to adopt the other
>>abuse-related packages (abuse-sdl abuse-lib abuse-sfx abuse-frabs), but
>>think that abuse should be removed instead.
>>    
>>
>
>So who is going to adopt it, and when?  Both of you expressed interest
>in July.
>
>  
>





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#199543; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Keith Dunwoody (S. Wolthusen)" <kdunwood@igd.fhg.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #34 received at 199543@bugs.debian.org (full text, mbox):

From: "Keith Dunwoody (S. Wolthusen)" <kdunwood@igd.fhg.de>
To: Sam Hocevar <sam@zoy.org>
Cc: Martin Michlmayr <tbm@cyrius.com>, 199543@bugs.debian.org, 199544@bugs.debian.org, 199545@bugs.debian.org, 199546@bugs.debian.org, Keith Dunwoody <kstephen@interchange.ubc.ca>
Subject: Re: O: abuse -- Crack dot Com's Abuse action game
Date: Mon, 06 Oct 2003 14:25:15 +0200
Sam Hocevar wrote:

>On Sun, Oct 05, 2003, Martin Michlmayr wrote:
>  
>
>>>As indicated by the previous maintainer's comments the abuse package
>>>has been obseleted by abuse-sdl.  I intend to adopt the other
>>>abuse-related packages (abuse-sdl abuse-lib abuse-sfx abuse-frabs), but
>>>think that abuse should be removed instead.
>>>      
>>>
>
>   I do not think so. libSDL is not available on hurd-i386. Keith, why
>didn't you contact me before filing this bug? I Cc:ed all the O: bugs
>to avoid that.
>
Sorry.  I thought I checked and didn't see anything.

-- Keith




Changed Bug title. Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#199543; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #41 received at 199543@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Sam Hocevar <sam@zoy.org>
Cc: 199543@bugs.debian.org, 199544@bugs.debian.org, 199545@bugs.debian.org, 199546@bugs.debian.org, Keith Dunwoody <kstephen@interchange.ubc.ca>
Subject: Re: O: abuse -- Crack dot Com's Abuse action game
Date: Tue, 15 Jun 2004 18:03:55 +0100
* Sam Hocevar <sam@zoy.org> [2003-10-06 12:41]:
>    I fixed all current bugs but I do not want to adopt a non-free
> package. I have started collecting DFSG-free sound files to replace
> the ones in abuse-sfx, but I am not doing very well because there are
> few sources for such data. If Keith really wants the packages, I'll
> leave them to him and contribute my sound files later. I just want
> Abuse to become free and stay maintained.

OK, so as I see it, there is abuse-frabs, abuse-lib and abuse-sdl in
main, and abuse-sfx in non-free.  Sam, are you going to adopt the main
packages now?  Are they even usable since abuse has been removed?
-- 
Martin Michlmayr
tbm@cyrius.com



Reply sent to Martin Michlmayr <tbm@cyrius.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Arto Jantunen <viiru@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #46 received at 199543-done@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 199543-done@bugs.debian.org
Subject: Fixing WNPP problems
Date: Tue, 15 Jun 2004 11:05:52 -0600
# No package abuse in Debian
it has been removed, other abuse-* packages remain and have their own
WNPP bugs
-- 
Martin Michlmayr
tbm@cyrius.com



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#199543; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to keith <kstephen@interchange.ubc.ca>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #51 received at 199543@bugs.debian.org (full text, mbox):

From: keith <kstephen@interchange.ubc.ca>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: Sam Hocevar <sam@zoy.org>, 199543@bugs.debian.org, 199544@bugs.debian.org, 199545@bugs.debian.org, 199546@bugs.debian.org, Keith Dunwoody <kstephen@interchange.ubc.ca>
Subject: Re: O: abuse -- Crack dot Com's Abuse action game
Date: Wed, 16 Jun 2004 20:52:53 -0700
On Tue, Jun 15, 2004 at 06:03:55PM +0100, Martin Michlmayr wrote:
> * Sam Hocevar <sam@zoy.org> [2003-10-06 12:41]:
> >    I fixed all current bugs but I do not want to adopt a non-free
> > package. I have started collecting DFSG-free sound files to replace
> > the ones in abuse-sfx, but I am not doing very well because there are
> > few sources for such data. If Keith really wants the packages, I'll
> > leave them to him and contribute my sound files later. I just want
> > Abuse to become free and stay maintained.
> 
> OK, so as I see it, there is abuse-frabs, abuse-lib and abuse-sdl in
> main, and abuse-sfx in non-free.  Sam, are you going to adopt the main
> packages now?  Are they even usable since abuse has been removed?

abuse-sdl is a replacement for abuse on all platforms which have SDL, so 
platforms with SDL work without the abuse package.

-- Keith



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 22:23:10 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.